--- title: "deleteNasVolumeInstance" slug: "compute-server-deletenasvolumeinstance" tags: ["NAS", "Server", "Volume"] updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/compute-server-deletenasvolumeinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteNasVolumeInstance Available in Classic Delete a NAS volume instance. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /server/v2/deleteNasVolumeInstances | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS APIs, see [NAS request headers](/docs/en/nas-overview-classic#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasVolumeInstanceNoList` | String | Required | Instance number of NAS volume to delete - See [getNasVolumeInstanceList](/docs/en/compute-server-getnasvolumeinstancelist) | | `isAsync` | Boolean | Optional | Set async - `true` \| `false` (default) - `true`: set - `false`: not set | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/deleteNasVolumeInstance ?nasVolumeInstanceNo=23500000 &isAsync=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeInstance](/docs/en/common-apidatatype-nasvolumeinstance#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS APIs, see [NAS response status codes](/docs/en/nas-overview-classic#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "deleteNasVolumeInstanceResponse": { "totalRows": 1, "nasVolumeInstanceList": [ { "nasVolumeInstanceNo": "23500000", "nasVolumeInstanceStatus": { "code": "CREAT", "codeName": "NAS create" }, "nasVolumeInstanceOperation": { "code": "TERMT", "codeName": "NAS TERMT OP" }, "nasVolumeInstanceStatusName": "terminating", "createDate": "2024-04-08T11:40:50+0900", "nasVolumeDescription": "test", "mountInformation": "\\\\10.250.00.00\\n2768364_volume05", "volumeAllotmentProtocolType": { "code": "CIFS", "codeName": "CIFS" }, "volumeName": "n2768364_volume05", "volumeTotalSize": 536870912000, "volumeSize": 536870912000, "snapshotVolumeConfigurationRatio": 0.0, "snapshotVolumeSize": 0, "isSnapshotConfiguration": false, "isEventConfiguration": false, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "isReturnProtection": false, "nasVolumeInstanceCustomIpList": [], "nasVolumeServerInstanceList": [] } ], "requestId": "", "returnCode": "0", "returnMessage": "success" } } ```